PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package environment
  Definition Classes
    serverobject
- DeepCircularSurface
- DeepPlane
- DeepSquare
- DeepSurface
- EnvironmentAttribute
- EnvironmentCollision
- EnvironmentTrait
- EscapeFromEnvironment
- GantryDenialField
- InteractWithEnvironment
- InteractsWithZoneEnvironment
- OxygenStateTarget
- PieceOfEnvironment
- Pool
- RecoveredFromEnvironmentInteraction
- RespondsToZoneEnvironment
- SeaLevel

o

net.psforever.objects.serverobject.environment

# RespondsToZoneEnvironment

###
Companion trait RespondsToZoneEnvironment

#### object RespondsToZoneEnvironment

Source
  RespondsToZoneEnvironment.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. RespondsToZoneEnvironment
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  type Interaction = (PlanetSideServerObject, PieceOfEnvironment, Option[OxygenStateTarget]) => Unit

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  def drowningInWateryConditions(obj: PlanetSideServerObject, condition: Option[OxygenState], completionTime: Long): (Boolean, Long, Float)

   Calculate the effect of being exposed to a watery environment beyond its critical region.

   Calculate the effect of being exposed to a watery environment beyond its critical region.

   obj

     the target

   condition

     the current environment progressive event of the target, e.g., already drowning

   completionTime

     how long since the current environment progressive event started

   returns

     three values: whether any change in effect will occur, for how long this new change if effect will occur after starting, and what the starting progress value of this new effect looks like

7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  def recoveringFromWateryConditions(obj: PlanetSideServerObject, condition: Option[OxygenState], completionTime: Long): (Boolean, Long, Float)

    Calculate the effect of being removed from a watery environment beyond its critical region.

    Calculate the effect of being removed from a watery environment beyond its critical region.

    obj

      the target

    condition

      the current environment progressive event of the target, e.g., already drowning

    completionTime

      how long since the current environment progressive event started

    returns

      three values: whether any change in effect will occur, for how long this new change if effect will occur after starting, and what the starting progress value of this new effect looks like

17.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
18.  def toString(): String
    Definition Classes
      AnyRef → Any
19.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped